Bug 126790 - interactive performance stutters under i/o load
interactive performance stutters under i/o load
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-26 17:08 EDT by Dan Berger
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Berger 2004-06-26 17:08:00 EDT
Description of problem:
The fedora kernel behaves poorly under i/o load - causing choppy
interactive performance (x updates, mp3/ogg decode, etc.)  This is
particularly noticable when expunging large mailbox files, but occurs
during program launch, etc.

Version-Release number of selected component (if applicable):
$ rpm -q kernel-smp
kernel-smp-2.6.6-1.435


How reproducible:
Frequently (but not always)

Steps to Reproduce :
1. run rhythmbox, start playback
2. lauch openoffice
3.
  
Actual results:
playback skips during launch.  note that this only seems to reliably
occur during the first launch of ooffice after a reboot.  The system
isn't paging (has 200+M physical ram free).  

Expected results:
under the same test conditions, the stock 2.6.6 kernel (haven't tried
2.6.7 yet) does not behave this way.  playback is smooth except under
heavy load.

Additional info:
$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 6
cpu MHz         : 989.047
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
cmov pat pse36 mmx fxsr sse
bogomips        : 1953.79
 
processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 6
cpu MHz         : 989.047
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
cmov pat pse36 mmx fxsr sse
bogomips        : 1974.27

 $ sudo hdparm /dev/hda
 /dev/hda:
 multcount    = 16 (on)
 IO_support   =  0 (default 16-bit)
 unmaskirq    =  0 (off)
 using_dma    =  1 (on)
 keepsettings =  0 (off)
 readonly     =  0 (off)
 readahead    = 256 (on)
 geometry     = 65535/16/63, sectors = 120103200, start = 0
Comment 1 Kyrre Ness Sjøbæk 2004-09-03 10:22:23 EDT
Hmm... I was seeng this under FC1, but not (or very seldom) under fc2.
I then often occured when cron started "updatedb".

I have a 650 mhz 348 MB ram Machine with a 7200 RPM disk
Comment 2 Dave Jones 2005-01-14 00:22:07 EST
how are things with the latest 2.6.10 updates ?
Comment 3 Dave Jones 2005-04-16 00:01:42 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.